%global momorel 5
%global kdever 4.3.90
%global kdelibsrel 1m
%global qtver 4.6.0
%global qtrel 1m
%global cmakever 2.4.8
%global cmakerel 5m
%global srcname polkit-qt-1
%global sourcedir stable/%{srcname}

Summary: PolicyKit-qt library
Name: polkit-qt
Version: 0.95.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.kde.org/
Group: System Environment/Libraries
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{srcname}-%{version}.tar.bz2
NoSource: 0
Patch0:  polkit-qt-0.95.1-install-cmake-find.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: automoc4
BuildRequires: qt-devel >= %{qtver}
BuildRequires: cmake >= %{cmakever}-%{cmakerel}
BuildRequires: polkit-devel >= 0.95

%description
Polkit-qt is a library that lets developers use the PolicyKit API through a nice
Qt-styled API. It is mainly a wrapper around QAction and QAbstractButton that
lets you integrate those two component easily with PolicyKit

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the libraries, include files and other resources
needed to develop applications using %{name}.

%prep
%setup -q -n %{srcname}-%{version}
# temporary patch - installs FindPolkitQt-1.cmake until we decide how to deal with cmake 
# module installation
%patch0 -p1 -b .install-cmake-find

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} -DBUILD_EXAMPLES=0 ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README
%{_kde4_libdir}/libpolkit-qt-agent-1.so.*
%{_kde4_libdir}/libpolkit-qt-core-1.so.*
%{_kde4_libdir}/libpolkit-qt-gui-1.so.*

%files devel
%defattr(-, root, root)
%{_kde4_includedir}/polkit-qt-1
%{_kde4_libdir}/libpolkit-qt-agent-1.so
%{_kde4_libdir}/libpolkit-qt-core-1.so
%{_kde4_libdir}/libpolkit-qt-gui-1.so
%{_kde4_libdir}/pkgconfig/polkit-qt*.pc
%{_kde4_datadir}/cmake/Modules/*.cmake

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.95.1-5m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95.1-4m)
- rebuild against qt-4.6.3-1m

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.95.1-3m)
- use BuildRequires

* Fri Jan 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95.1-2m)
- import patch0 from Fedora devel
-- Installs FindPolkitQt-1.cmake

* Sat Jan  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95.1-1m)
- update to 0.95.1

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.2-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.2-1m)
- initial package for Momonga Linux
